import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { IonicModule } from '@ionic/angular';
import { FormsModule } from '@angular/forms';
import { RouterModule } from '@angular/router';

import { HomePage } from './home.page';
import { SuperTabsModule } from '@ionic-super-tabs/angular';
import { MainPageModule } from '../main/main.module';
import { ChronicPageModule } from '../chronic/chronic.module';
import { RiskPageModule } from '../risk/risk.module';

@NgModule({
  imports: [
    CommonModule,
    SuperTabsModule,
    FormsModule,
    IonicModule,
    RouterModule.forChild([
      {
        path: '',
        component: HomePage
      }
    ]),
    MainPageModule,
    ChronicPageModule,
    RiskPageModule
  ],
  declarations: [
    HomePage
  ]
})
export class HomePageModule {}
