import { Component, OnInit } from '@angular/core';
import { ApiService } from '../services/api.service';

@Component({
  selector: 'app-news',
  templateUrl: './news.page.html',
  styleUrls: ['./news.page.scss'],
})
export class NewsPage implements OnInit {
  articles: any

  constructor(
    private apiService: ApiService) { }

  ngOnInit() { }

  ionViewDidEnter() {
    this.apiService.getNews().subscribe((data) => {
      console.log(data);
      this.articles = data['articles'];
    })
  }

}